Skip to content
Get started

Get agent eval spec

GET/api/agents/{id}/eval_spec/

Get agent eval spec

Path ParametersExpand Collapse
id: string
formatuuid
ReturnsExpand Collapse
agent_description: string
agent_path: string
consistency_rules: unknown
fixed_elements: unknown
input_schema: unknown
optimizable_elements: unknown
output_fields: unknown
structure_weight: number
formatdouble
tool_config: unknown
tool_usage_weight: number
formatdouble
total_points: number
formatdouble
Get agent eval spec
curl https://api.overmindlab.ai/api/agents/$ID/eval_spec/
{
  "agent_description": "agent_description",
  "agent_path": "agent_path",
  "consistency_rules": {},
  "fixed_elements": {},
  "input_schema": {},
  "optimizable_elements": {},
  "output_fields": {},
  "structure_weight": 0,
  "tool_config": {},
  "tool_usage_weight": 0,
  "total_points": 0
}
Returns Examples
{
  "agent_description": "agent_description",
  "agent_path": "agent_path",
  "consistency_rules": {},
  "fixed_elements": {},
  "input_schema": {},
  "optimizable_elements": {},
  "output_fields": {},
  "structure_weight": 0,
  "tool_config": {},
  "tool_usage_weight": 0,
  "total_points": 0
}